--- title: "Get the List of PCAP Files Captured" slug: "get-the-list-of-pcap-files-captured-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/get-the-list-of-pcap-files-captured-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the List of PCAP Files Captured This URL retrieves the list of captured PCAP files. ### Resource URL GET /sensor//packetcapturepcapfiles ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `files` | List of PCAP file names | StringList | ### Example **Request** GET [https:///sdkapi/sensor/1001/packetcapturepcapfiles](https://<NSM_IP>/sdkapi/sensor/1001/packetcapturepcapfiles) **Payload** None **Response** ``` { "files":[“capture_Mon_Aug_18_16_12_49_IST_2014.pcap”, “capture_Mon_Aug_18_16_12_55_IST_2014.pcap”] } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is inactive | | 3 | 400 | 6201 | Packet capture not supported on this Sensor |